<?php global $dicom_opt;
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Dicom
*/
if( isset( $dicom_opt['enable_lazyloader'] ) ):
	$is_lazyloader = $dicom_opt['enable_lazyloader'];
else:
	$is_lazyloader = true;
endif;

if( $is_lazyloader == true ):
	$lazy_class = 'smartify';
	$lazy_attr = 'sm-';
else:
	$lazy_class = '';
	$lazy_attr = '';
endif;
get_header();

?>
	<section class="error-area">
		<div class="d-table">
			<div class="d-table-cell">
				<div class="container">
					<div class="error-content">
						<?php if ( isset( $dicom_opt['img-404'] ) ) : ?>
							<img class="<?php echo esc_attr($lazy_class); ?>" <?php echo esc_attr($lazy_attr); ?>src="<?php echo esc_url( $dicom_opt['img-404']['url'] ); ?> " alt="<?php esc_attr_e( '404 Image', 'dicom' ); ?>">
						<?php endif; ?>

						<?php if ( !isset( $dicom_opt['img-404'] ) ) : ?>
							<img class="<?php echo esc_attr($lazy_class); ?>" <?php echo esc_attr($lazy_attr); ?>src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/error.png' ); ?>" alt="<?php esc_attr_e( '404 Image', 'dicom' ); ?>">
						<?php endif; ?>

						<?php if( isset( $dicom_opt['content_not_found'] ) ): ?>
							<h3><?php echo esc_html( $dicom_opt['content_not_found'] ); ?></h3>
						<?php else: ?>
							<h3><?php esc_html_e('Oops! Page not found', 'dicom'); ?></h3>
						<?php endif; ?>

						<?php if( isset( $dicom_opt['long_content_not_found'] ) ): ?>
							<p><?php echo esc_html( $dicom_opt['long_content_not_found'] ); ?></p>
						<?php else: ?>
							<p><?php esc_html_e('The page you were looking for could not be found.', 'dicom'); ?></p>
						<?php endif; ?>

						<?php if( isset( $dicom_opt['button_not_found'] ) ): ?>
							<?php if( $dicom_opt['button_not_found'] != '' ): ?>
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="default-btn"><?php echo esc_html( $dicom_opt['button_not_found'] ); ?></a>
							<?php endif; ?>
						<?php else: ?>
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="default-btn"><?php esc_html_e( 'Return to home page', 'dicom' ); ?></a>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php
get_footer();