<?php
/**
 * Register custom style.
 */

if ( ! function_exists( 'dicom_custom_style' ) ) {
    function dicom_custom_style(){
        
        $custom_style ='';
        global $dicom_opt;

        if( isset( $dicom_opt['primary_color'] ) ):
            $primary_color              = $dicom_opt['primary_color'];
            $nav_active_color           = $dicom_opt['nav_active_color'];
            $nav_hover_color            = $dicom_opt['nav_hover_color'];
            $nav_border_color           = $dicom_opt['nav_border_color'];
            $nav_item_black             = $dicom_opt['nav_item_black'];
            $nav_item_white             = $dicom_opt['nav_item_white'];
            $black_header_bg            = $dicom_opt['black_header_bg'];
            $sticky_white_header_bg     = $dicom_opt['sticky_white_header_bg'];
            $sticky_black_header_bg     = $dicom_opt['sticky_black_header_bg'];
            $footer_bg                  = $dicom_opt['footer_bg'];
            $footer_heading_color       = $dicom_opt['footer_heading_color'];
            $footer_text_color          = $dicom_opt['footer_text_color'];
            $footer_text_hover_color    = $dicom_opt['footer_text_hcolor'];
            $copyright_bold_text_color  = $dicom_opt['copyright_bold_text_color'];
            $copyright_link_text_color  = $dicom_opt['copyright_link_text_color'];
            $copyright_link_hover_color = $dicom_opt['copyright_link_hover_color'];
            $footer_icon_color          = $dicom_opt['footer_icon_color'];
            $preloader_bg               = $dicom_opt['preloader_bgcolor'];
            $preloader_imgbg            = $dicom_opt['preloader_imgbgcolor'];
            $preloader_circle1          = $dicom_opt['preloader_circle1'];
            $preloader_circle2          = $dicom_opt['preloader_circle2'];
            $preloader_circle3          = $dicom_opt['preloader_circle3'];
            $preloader_color            = $dicom_opt['preloader_color'];
        else:   
            $primary_color              = '#fe4c1c';
            $nav_active_color           = '#fe4c1c';
            $nav_hover_color            = '#fe4c1c';
            $nav_border_color           = '#fe4c1c';
            $nav_item_black             = '#080e32';
            $nav_item_white             = '#ffffff';
            $black_header_bg            = '#080e32';
            $sticky_white_header_bg     = '#ffffff';
            $sticky_black_header_bg     = '#080e32';
            $footer_bg                  = '#100f1f';
            $footer_heading_color       = '#ffffff';
            $footer_text_color          = '#ededed';
            $footer_text_hover_color    = '#fe4c1c';
            $copyright_bold_text_color  = '#ffffff';
            $copyright_link_text_color  = '#fe4c1c';
            $copyright_link_hover_color = '#ffffff';
            $footer_icon_color          = '#04b8e5';
            $preloader_bg               = '#ffffff';
            $preloader_imgbg            = '#ffffff';
            $preloader_circle1          = '#16a085';
            $preloader_circle2          = '#e74c3c';
            $preloader_circle3          = '#f9c922';
            $preloader_color            = '#000000';
        endif;

        $custom_style .='
        .has-cyan-bluish-gray-background-color.has-cyan-bluish-gray-background-color, .page-links .current, .page-links .post-page-numbers:hover, .post-password-form input[type="submit"], .comment-navigation .nav-links .nav-previous a:hover, .comment-navigation .nav-links .nav-next a:hover, #comments .comment-list .comment-body .reply a:hover, .blog-sidebar .tagcloud a:hover, .blog-sidebar .tagcloud a:focus, .pages-links .post-page-numbers.current, .pages-links .post-page-numbers:hover, .pages-links .post-page-numbers:focus, .entry-meta li::before, .page-navigation-area .page-link:hover, .page-navigation-area .page-item.active .page-link, .blog-sidebar .widget .widget-title::before, .blog-sidebar .widget ul li::before, blockquote::after, .search-form .search-submit, .blog-sidebar .widget .widget-title::before, .blog-sidebar .widget ul li::before, .comments-title::before, .comment-respond .comment-reply-title::before, .comment-respond .form-submit input, .wp-block-button .wp-block-button__link, .pagination-area .page-numbers.current, .pagination-area .page-numbers:hover, .pagination-area .page-numbers:focus, .post-tag-media ul li a:hover, .search-form .search-submit:hover { background-color: '.esc_attr($primary_color).';}

        .wp-block-tag-cloud a:hover, .wp-block-tag-cloud a:focus, .wp-block-file .wp-block-file__button, .wp-block-search button { background-color: '.esc_attr($primary_color).' !important; }

        .sticky .post-content .title::before, .blog-details .blog-details-content code, .blog-details .blog-details-content ul a, .blog-details .blog-details-content .category li a:hover, .entry-meta li a:hover, .blog-details .blog-details-content ul.entry-meta li a:hover, #comments .comment-list .comment-body a, .wp-block-image figcaption a, .blog-details .blog-details-content p a, .blog-details .blog-details-content ol a, .wp-block-file a, table th a, .blog-details .blog-details-content kbd, .wp-caption .wp-caption-text a, .comments-area .comment-content code, .comments-area .comment-content kbd, table td a, table td a:hover, .blog-sidebar .widget ul li a:hover, .page-main-content .entry-content a, .page-main-content kbd, .page-main-content code, .single-blog-post .post-content .entry-meta li a:hover, .entry-meta li a:hover, .entry-meta li i, .wpcf7-list-item-label a, .sticky .learn-more-btn, .page-navigation-area .page-link, .learn-more-btn, .single-blog-post .post-content h3 a:hover, .post-tag-media ul li a, .blog-sidebar .widget_search form button { color: '.esc_attr($primary_color).'; }

        .sticky .post-content .entry-meta li a:hover, .blog-details .blog-meta ul li a:hover, .blog-details .blog-meta ul li a:hover, table th a:hover, .is-style-outline .wp-block-button__link { color: '.esc_attr($primary_color).' !important; }

         a:hover, .section-title .sub-title, .top-header-contact-info li i, .top-header-contact-info li a:hover, .main-banner-content .sub-title, .main-banner-content .btn-box .video-btn:hover, .banner-content .sub-title, .banner-content .btn-box .video-btn:hover, .home-content .sub-title, .banner-wrapper-content .sub-title, .single-boxes-box .icon, .single-featured-services-box .icon, .learn-more-btn, .about-content .sub-title, .about-content .funfacts-list li .list i, .about-content .features-list li:hover i, .what-we-do-content .sub-title, .what-we-do-content .skills-item .skills-header .skills-percentage, .single-services-box .icon, .overview-box .overview-content .content .sub-title, .testimonials-content .sub-title, .feedback-content .sub-title, .history-timeline .timeline-block::before, .single-portfolio-box .content span, .portfolio-slides.owl-theme .owl-nav [class*=owl-], .portfolio-details-image .video-btn, .portfolio-details-desc .sub-title, .portfolio-details-info ul li a:hover, .portfolio-details-info ul li .icon, .analysis-form .sub-title, .how-its-work-content .sub-title, .single-team-box .content span, .single-team-member .content span, .single-pricing-box .pricing-header .icon, .subscribe-content .sub-title, .project-start-content .sub-title, .prev-link-wrapper a:hover .prev-link-info-wrapper, .next-link-wrapper a:hover .next-link-info-wrapper, .page-title-content ul li::before, .contact-info-box .icon, .sidebarModal.modal .modal-body .social-list li span { color: '.esc_attr($primary_color).'; }

        .default-btn::before, .dibiz-nav .navbar .others-option, .others-option-for-responsive .dot-menu:hover .inner .circle, .others-option-for-responsive .option-inner .others-option,  .dibiz-responsive-nav .others-option, .search-overlay .search-overlay-form form button, .main-banner-content .btn-box .video-btn:hover i, .banner-content .btn-box .video-btn:hover i, .home-slides.owl-theme .owl-nav [class*=owl-]:hover, .home-slides.owl-theme .owl-dots .owl-dot span::before, .home-slides-two.owl-theme .owl-nav [class*=owl-]:hover, .single-boxes-box .icon .circles-box .circle-one, .col-lg-4:nth-child(2) .single-boxes-box .icon .circles-box .circle-two, .col-lg-4:nth-child(8) .single-boxes-box .icon .circles-box .circle-two, .col-lg-4:nth-child(14) .single-boxes-box .icon .circles-box .circle-two, .col-lg-4:nth-child(3) .single-boxes-box .icon .circles-box .circle-two, .col-lg-4:nth-child(9) .single-boxes-box .icon .circles-box .circle-two, .col-lg-4:nth-child(15) .single-boxes-box .icon .circles-box .circle-two, .col-lg-4:nth-child(4) .single-boxes-box .icon .circles-box .circle-two, .col-lg-4:nth-child(10) .single-boxes-box .icon .circles-box .circle-two, .col-lg-4:nth-child(16) .single-boxes-box .icon .circles-box .circle-two, .col-lg-4:nth-child(5) .single-boxes-box .icon .circles-box .circle-two, .col-lg-4:nth-child(11) .single-boxes-box .icon .circles-box .circle-two, .col-lg-4:nth-child(17) .single-boxes-box .icon .circles-box .circle-two, .col-lg-4:nth-child(6) .single-boxes-box .icon .circles-box .circle-two, .col-lg-4:nth-child(12) .single-boxes-box .icon .circles-box .circle-two, .col-lg-4:nth-child(18) .single-boxes-box .icon .circles-box .circle-two, .single-featured-services-box .icon .circles-box .circle-one, .learn-more-btn .left-icon, .learn-more-btn:hover, .col-lg-4:nth-child(2) .single-featured-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(8) .single-featured-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(14) .single-featured-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(3) .single-featured-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(9) .single-featured-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(15) .single-featured-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(4) .single-featured-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(10) .single-featured-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(16) .single-featured-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(5) .single-featured-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(11) .single-featured-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(17) .single-featured-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(6) .single-featured-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(12) .single-featured-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(18) .single-featured-services-box .icon .circles-box .circle-two, .about-content .features-list li i, .what-we-do-content .skills-item .skills-bar .bar-inner .bar, .what-we-do-content-accordion .accordion .accordion-item .accordion-title i, .single-services-box .icon .circles-box .circle-one, .col-lg-4:nth-child(2) .single-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(8) .single-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(14) .single-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(3) .single-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(9) .single-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(15) .single-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(4) .single-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(10) .single-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(16) .single-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(5) .single-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(11) .single-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(17) .single-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(6) .single-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(12) .single-services-box .icon .circles-box .circle-two, .col-lg-4:nth-child(18) .single-services-box .icon .circles-box .circle-two, .overview-box .overview-content .content .features-list li span::before, .overview-box .overview-content .content .features-list li span i, .testimonials-slides.owl-theme .owl-dots .owl-dot span::before, .feedback-slides.owl-theme .owl-dots .owl-dot span::before, .history-timeline .timeline-block .timeline-icon .dot-badge, .single-portfolio-item .content .link-btn, .single-portfolio-box .content .link-btn, .single-portfolio-box:hover, .portfolio-slides.owl-theme .owl-nav [class*=owl-]:hover, .portfolio-details-image .video-btn:hover, .portfolio-details-image-slides.owl-theme .owl-nav [class*=owl-]:hover, .portfolio-details-desc .content ul li::before, .single-team-box .social-link li a:hover, .single-team-member .content i, .single-team-member .image .social-link li a:hover, .team-slides.owl-theme .owl-dots .owl-dot span::before, .single-pricing-box .pricing-header .icon .circles-box .circle-one, .col-lg-4:nth-child(2) .single-pricing-box .default-btn, .col-lg-4:nth-child(3) .single-pricing-box .default-btn, .blog-slides.owl-theme .owl-nav [class*=owl-]:hover, blockquote::after, .blockquote::after, .prev-link-wrapper .image-prev::after, .next-link-wrapper .image-next::after, .pagination-area .page-numbers:hover, .pagination-area .page-numbers.current, .coming-soon-content form .form-group .label-title::before, .contact-info-box:hover .icon, .single-footer-widget .social-link li a:hover, .go-top, .sidebarModal.modal .modal-body .instagram-list .box::before { background-color: '.esc_attr($primary_color).';}

        .search-overlay .search-overlay-close:hover .search-overlay-close-line { background: '.esc_attr($primary_color).'; }

        .page-title-content ul li a:hover { color: '.esc_attr($primary_color).' !important; }

        .form-control:focus, .home-slides.owl-theme .owl-nav [class*=owl-]:hover, .home-slides.owl-theme .owl-dots .owl-dot:hover span, .home-slides.owl-theme .owl-dots .owl-dot.active span, .banner-area-content form .form-control:focus, .home-slides-two.owl-theme .owl-nav [class*=owl-]:hover, .testimonials-slides.owl-theme .owl-dots .owl-dot:hover span, .testimonials-slides.owl-theme .owl-dots .owl-dot.active span, .feedback-slides.owl-theme .owl-dots .owl-dot:hover span, .feedback-slides.owl-theme .owl-dots .owl-dot.active span, .portfolio-slides.owl-theme .owl-nav [class*=owl-], .portfolio-slides.owl-theme .owl-nav [class*=owl-]:hover, .portfolio-details-image .video-btn:hover::after, .portfolio-details-image .video-btn:hover::before, .portfolio-details-image-slides.owl-theme .owl-nav [class*=owl-]:hover, .team-slides.owl-theme .owl-dots .owl-dot:hover span, .team-slides.owl-theme .owl-dots .owl-dot.active span { border-color: '.esc_attr($primary_color).'; }

        .portfolio-details-info {
            border-top: 3px solid '.esc_attr($primary_color).';
        }

        .navbar-color-white .dibiz-nav .navbar .navbar-nav .nav-item.active a, .navbar-color-white .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li.active a, .navbar-color-white .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li.active a, .dibiz-nav .navbar .navbar-nav .nav-item.active a, .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li.active a, .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li.active a { color: '.esc_attr($nav_active_color).'; }

        .navbar-color-white .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li a:hover, .navbar-color-white .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li a:hover, .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li a:hover, .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li a:hover, .dibiz-nav .navbar .navbar-nav .nav-item a:focus, .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li a:focus, .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li a:focus, .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .dibiz-nav .navbar .navbar-nav .nav-item:hover a, .navbar-color-white .dibiz-nav .navbar .navbar-nav .nav-item:hover a { color: '.esc_attr($nav_hover_color).'; }

        .dibiz-nav .navbar .navbar-nav .nav-item .dropdown-menu { border-top: 3px solid '.esc_attr($nav_border_color).'; }

        .dibiz-nav .navbar .navbar-nav .nav-item a { color: '.esc_attr( $nav_item_black  ).'; }
        .navbar-color-white .dibiz-nav .navbar .navbar-nav .nav-item a { color: '.esc_attr( $nav_item_white  ).'; }
        
        .navbar-area.navbar-color-white { background-color: '.esc_attr($black_header_bg).'; }
        .navbar-area.is-sticky { background-color: '.esc_attr($sticky_white_header_bg).' !important; }
        .navbar-area.navbar-color-white.is-sticky { background-color: '.esc_attr($sticky_black_header_bg).' !important; }

        .footer-area { background-color: '.esc_attr($footer_bg).'; }
        .single-footer-widget h3, .single-footer-widget .logo .main-title { color: '.esc_attr($footer_heading_color).'; }

        .single-footer-widget p, .footer-area .single-footer-widget ul li, .single-footer-widget .footer-contact-info li a, .single-footer-widget ul li a, .footer-bottom-area p, .footer-bottom-area ul li a { color: '.esc_attr($footer_text_color).'; }

        .footer-bottom-area ul li::before { background-color: '.esc_attr($footer_text_color).'; }

        .footer-bottom-area p strong { color: '.esc_attr($copyright_bold_text_color).'; }
        .footer-bottom-area p a { color: '.esc_attr($copyright_link_text_color).'; }
        .footer-bottom-area p a:hover { color: '.esc_attr($copyright_link_hover_color).'; }

        .single-footer-widget .footer-contact-info li i { color: '.esc_attr($footer_icon_color).'; }

        .single-footer-widget ul li a:hover, .single-footer-widget .footer-contact-info li a:hover, .footer-bottom-area ul li a:hover { color: '.esc_attr($footer_text_hover_color).'; }

        .loader {
            border: 3px solid transparent;
            border-top-color: '.esc_attr($preloader_circle1).';
            -webkit-animation: spin 1.7s linear infinite;
            animation: spin 1.7s linear infinite;
        }
        .loader:before {
            border: 3px solid transparent;
            border-top-color: '.esc_attr($preloader_circle2).';
            -webkit-animation: spin-reverse .6s linear infinite;
            animation: spin-reverse .6s linear infinite;
        }
        .loader:after {
            border: 3px solid transparent;
            border-top-color: '.esc_attr($preloader_circle3).';
            -webkit-animation: spin 1s linear infinite;
            animation: spin 1s linear infinite;
        }
        .loader-wrapper { background-color: '.esc_attr($preloader_bg).'; }

        .loader-wrapper p { color: '.esc_attr($preloader_color).'; }
        

        .single-products .sale-btn, .single-products .products-image ul li a:hover, .productsQuickView .modal-dialog .modal-content .products-content form button, .productsQuickView .modal-dialog .modal-content button.close:hover, .productsQuickView .modal-dialog .modal-content button.close:hover, .shop-sidebar .widget_product_search form button, .shop-sidebar a.button, .shop-sidebar .woocommerce-widget-layered-nav-dropdown__submit, .shop-sidebar .woocommerce button.button, .woocommerce .widget_price_filter .ui-slider .ui-slider-range, .woocommerce .widget_price_filter .ui-slider .ui-slider-handle, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .products_details div.product .woocommerce-tabs .panel #respond input#submit, .products_details div.product .product_title::before, .woocommerce #respond input#submit.alt.disabled, .woocommerce #respond input#submit.alt.disabled:hover, .woocommerce #respond input#submit.alt:disabled, .woocommerce #respond input#submit.alt:disabled:hover, .woocommerce #respond input#submit.alt:disabled[disabled], .woocommerce #respond input#submit.alt:disabled[disabled]:hover, .woocommerce a.button.alt.disabled, .woocommerce a.button.alt.disabled:hover, .woocommerce a.button.alt:disabled, .woocommerce a.button.alt:disabled:hover, .woocommerce a.button.alt:disabled[disabled], .woocommerce a.button.alt:disabled[disabled]:hover, .woocommerce button.button.alt.disabled, .woocommerce button.button.alt.disabled:hover, .woocommerce button.button.alt:disabled, .woocommerce button.button.alt:disabled:hover, .woocommerce button.button.alt:disabled[disabled], .woocommerce button.button.alt:disabled[disabled]:hover, .woocommerce input.button.alt.disabled, .woocommerce input.button.alt.disabled:hover, .woocommerce input.button.alt:disabled, .woocommerce input.button.alt:disabled:hover, .woocommerce input.button.alt:disabled[disabled], .woocommerce input.button.alt:disabled[disabled]:hover, .btn-primary:hover, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce .woocommerce-MyAccount-navigation ul .is-active a, .woocommerce .woocommerce-MyAccount-navigation ul li a:hover, .products_details div.product span.sale-btn, .shop-sidebar .tagcloud a:focus, .shop-sidebar .widget_search form button, .shop-sidebar .widget .widget-title::before, .shop-sidebar .widget ul li::before, .shop-sidebar .tagcloud a:hover, .shop-sidebar .tagcloud a:focus { background-color: '.esc_attr($primary_color).'; }
        .btn-primary, .btn-primary.disabled, .btn-primary:disabled { background-color: '.esc_attr($primary_color).'; }
        .productsQuickView .modal-dialog .modal-content .products-content .product-meta span a:hover, .woocommerce ul.products li.product h3 a:hover, .woocommerce div.product .woocommerce-tabs ul.tabs li.active a, .products_details div.product .woocommerce-tabs ul.tabs li a:hover, .products_details div.product .woocommerce-tabs ul.tabs li.active, .products_details div.product .woocommerce-tabs ul.tabs li.active a:hover, .products_details div.product .product_meta span.posted_in a:hover, .products_details div.product .product_meta span.tagged_as a:hover, .products_details div.product span.price, .cart-table table tbody tr td.product-name a, .woocommerce-message::before, .woocommerce-info::before, .shop-sidebar .widget ul li a:hover, .shop-sidebar .widget_rss .widget-title .rsswidget { color: '.esc_attr ($primary_color).'; }

        .woocommerce-info, .woocommerce-message { border-top-color: '.esc_attr ($primary_color).'; }
        .shop-sidebar .widget_shopping_cart .cart_list li a:hover, .shop-sidebar ul li a:hover { color: '.esc_attr ($primary_color).' !important; }
        .form-control:focus, .woocommerce .form-control:focus, .shop-sidebar .tagcloud a:hover, .shop-sidebar .tagcloud a:focus { border-color: '.esc_attr ($primary_color).'; }

       ';

        // Disable Sticky Header
        if( isset ($dicom_opt['disable_sticky_header']) ):
            if( $dicom_opt['disable_sticky_header'] == true ):
                $custom_style .='
                .navbar-area.is-sticky {
                    display: none;
                }
                ';
            endif;
        endif;

        // Custom Css
        if( isset($dicom_opt['css_code'] ) && !empty($dicom_opt['css_code']) ):
            $custom_style .= $dicom_opt['css_code'];
        endif;

        // Pre-loader image
        $is_preloader       = !empty($dicom_opt['enable_preloader']) ? $dicom_opt['enable_preloader'] : '';
        $preloader_image = isset( $dicom_opt['preloader_image']['url'] ) ? $dicom_opt['preloader_image']['url'] : get_template_directory_uri() . '/assets/img' .'/status.gif';
        $preloader_style = !empty( $dicom_opt['preloader_style'] ) ? $dicom_opt['preloader_style'] : 'text';
        if ( $preloader_style == 'image' && $is_preloader == '1' ) {
            $custom_style .= "
            .preloader-img { background-color: ".esc_attr($preloader_imgbg)."; }
            .preloader-img {
                background-image: url(" . esc_url( $preloader_image ) . ");
                background-repeat: no-repeat;
                background-position: center;
            }";
        }

        wp_add_inline_style('dicom-main-style', $custom_style);

        // Custom Js
        $custom_script ='';
        if( isset($dicom_opt['js_code'] )){
            $custom_script .= $dicom_opt['js_code'];
        }
        
        wp_add_inline_script( 'dicom-main', $custom_script );
    }
}
add_action( 'wp_enqueue_scripts', 'dicom_custom_style' );