<?php
/**
 * Enqueue scripts and styles.
 */
if ( ! function_exists( 'dicom_scripts' ) ) :

	function dicom_scripts() {

		global $dicom_opt;

		if( isset( $dicom_opt['enable_lazyloader'] ) ):
			$is_lazyloader = $dicom_opt['enable_lazyloader'];
		else:
			$is_lazyloader = true;
		endif;

		if( isset( $dicom_opt['enable_minify_css_js'] ) ):
			$is_minify = $dicom_opt['enable_minify_css_js'];
		else:
			$is_minify = true;
		endif;
		/**
         * Enqueueing and Register Stylesheets
        */

		wp_enqueue_style( 'dicom-style', get_stylesheet_uri() );
		wp_style_add_data( 'dicom-style', 'rtl', 'replace' );

		wp_enqueue_style( 'bootstrap', 			    DICOM_CSS . '/bootstrap.min.css', null, DICOM_VERSION );
		wp_enqueue_style( 'flaticon', 			    DICOM_CSS . '/flaticon.css', null, DICOM_VERSION );
		wp_enqueue_style( 'animate', 			    DICOM_CSS . '/animate.min.css', null, DICOM_VERSION );
		wp_enqueue_style( 'owl-carousel', 		    DICOM_CSS . '/owl.carousel.min.css', null, DICOM_VERSION );
		wp_enqueue_style( 'boxicons', 			    DICOM_CSS . '/boxicons.min.css', null, DICOM_VERSION );
		wp_enqueue_style( 'meanmenu', 			    DICOM_CSS . '/meanmenu.min.css', null, DICOM_VERSION );
		wp_enqueue_style( 'nice-select', 		    DICOM_CSS . '/nice-select.min.css', null, DICOM_VERSION );
		wp_enqueue_style( 'fancybox', 		        DICOM_CSS . '/fancybox.min.css', null, DICOM_VERSION );
		wp_enqueue_style( 'odometer', 			    DICOM_CSS . '/odometer.min.css', null, DICOM_VERSION );
        wp_enqueue_style( 'magnific-popup', 	    DICOM_CSS . '/magnific-popup.min.css', null, DICOM_VERSION );
		wp_enqueue_style( 'all', 	                DICOM_CSS . '/all.min.css', null, DICOM_VERSION );

		// WooCommerce CSS
		if ( class_exists( 'WooCommerce' ) ):
			if( $is_minify == true ):
				wp_enqueue_style( 'dicom-woocommerce', get_template_directory_uri() . '/assets/css/woocommerce.min.css');
			else :
				wp_enqueue_style( 'dicom-woocommerce', get_template_directory_uri() . '/assets/css/woocommerce.css');
			endif;
		endif;

		if( $is_minify == true ):
			wp_enqueue_style( 'dicom-main-style', 	    DICOM_CSS . '/style.min.css', null, DICOM_VERSION );
			wp_enqueue_style( 'dicom-responsive', 	    DICOM_CSS . '/responsive.min.css', null, DICOM_VERSION );
		else :
			wp_enqueue_style( 'dicom-main-style', 	    DICOM_CSS . '/style.css', null, DICOM_VERSION );
			wp_enqueue_style( 'dicom-responsive', 	    DICOM_CSS . '/responsive.css', null, DICOM_VERSION );
		endif;
		
		wp_enqueue_style( 'dicom-preloader', 	    DICOM_CSS . '/preloader.css', null, DICOM_VERSION );

		// RTL CSS
		if( dicom_rtl() == true ) :
			wp_enqueue_style( 'dicom-rtl', get_template_directory_uri() . '/style-rtl.css' );
		endif;

		/**
         * Enqueueing JavaScript Files
        */
		
		wp_enqueue_script( 'bootstrap.bundle', 			DICOM_JS . '/bootstrap.bundle.min.js', array('jquery'), DICOM_VERSION );
		wp_enqueue_script( 'appear', 		        DICOM_JS . '/appear.min.js', array('jquery'), DICOM_VERSION );
		wp_enqueue_script( 'odometer', 				DICOM_JS . '/odometer.min.js', array('jquery'), DICOM_VERSION );
		wp_enqueue_script( 'azaxchimp', 		    DICOM_JS . '/ajaxChimp.min.js', array('jquery'), DICOM_VERSION );
		wp_enqueue_script( 'magnific-popup',        DICOM_JS . '/magnific-popup.min.js', array('jquery'), DICOM_VERSION );
		wp_enqueue_script( 'fancybox',              DICOM_JS . '/fancybox.min.js', array('jquery'), DICOM_VERSION );
		wp_enqueue_script( 'owl-carousel', 			DICOM_JS . '/owl.carousel.min.js', array('jquery'), DICOM_VERSION );
		wp_enqueue_script( 'meanmenu', 		        DICOM_JS . '/meanmenu.min.js', array('jquery'), DICOM_VERSION );
		wp_enqueue_script( 'nice-select', 	        DICOM_JS . '/nice-select.min.js', array('jquery'), DICOM_VERSION );
		wp_enqueue_script( 'sticky-sidebar', 	    DICOM_JS . '/sticky-sidebar.min.js', array('jquery'), DICOM_VERSION );
		wp_enqueue_script( 'wow', 					DICOM_JS . '/wow.min.js', array('jquery'), DICOM_VERSION );
		
		// Smartify JS 
		if( $is_lazyloader == true ):
			wp_enqueue_script( 'jquery-smartify', get_template_directory_uri() . '/assets/js/jquery.smartify.js', array ( 'jquery' ), true);
			wp_enqueue_script( 'dicom-smartify', get_template_directory_uri() . '/assets/js/smartify.js', array ( 'jquery' ), true);
		endif;

		if( $is_minify == true ):
			wp_enqueue_script( 'dicom-main', 			DICOM_JS . '/main.min.js', array('jquery'), DICOM_VERSION );
		else :
			wp_enqueue_script( 'dicom-main', 			DICOM_JS . '/main.js', array('jquery'), DICOM_VERSION );
		endif;
		
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
	}
	
endif;
add_action( 'wp_enqueue_scripts', 'dicom_scripts' );
