<?php
/**
 * Register Theme Widget
 * @package Dicom
 */


// Theme Sidebar
function dicom_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Blog Sidebar', 'dicom' ),
		'id'            => 'article-sidebar',
		'description'   => esc_html__( 'Add widgets here.', 'dicom' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
    ) );
    // Shop Sidebar
    register_sidebar( array( 
        'name'          => esc_html__( 'Shop Sidebar', 'dicom' ),
        'id'            => 'shop',
        'description'   => esc_html__( 'Add widgets here.', 'dicom' ),
        'before_widget' => '<div class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>',
    ) );

    // Footer Sidebar
	global $dicom_opt;
	$footer_column = !empty($dicom_opt['footer_column']) ? $dicom_opt['footer_column'] : '3';
	register_sidebar( array( 
		'name'          => esc_html__( 'Footer Widgets', 'dicom' ),
		'id'            => 'footer_widgets',
		'description'   => esc_html__( 'Add widgets here.', 'dicom' ),
		'before_widget' => '<div class="single-footer-widget col-lg-'.$footer_column.' col-md-6  %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'dicom_widgets_init' );