<?php
/**
 * Include the TGM_Plugin_Activation class.
 */

require_once dirname( __FILE__ ) . '/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'dicom_register_required_plugins' );

if ( ! function_exists( 'dicom_register_required_plugins' ) ) {
	function dicom_register_required_plugins() {

		$plugins = array(
			
			// Dicom Toolkit
			array(
				'name'               => esc_html__('Dicom Toolkit', 'dicom'),
				'slug'               => 'dicom-toolkit',
				'source'             => get_template_directory() . '/lib/plugins/dicom-toolkit.zip', 
				'required'           => true,
			),

			// Elemantor Page Builder
			array(
				'name'               => esc_html__('Elementor Page Builder', 'dicom'),
				'slug'               => 'elementor',
				'required'           => true,
			),

			// Advanced Custom Fields Pro
			array(
				'name'               => esc_html__('Advanced Custom Fields Pro', 'dicom'),
				'slug'               => 'advanced-custom-fields-pro',
				'source'             => 'https://themes.envytheme.com/tools/advanced-custom-fields-pro.zip', 
				'required'           => true,
			),

			// Dicom Plugins
			array(
				'name'      => esc_html__('Contact Form 7', 'dicom'),
				'slug'      => 'contact-form-7',
				'required'  => false,
			),
			array(
				'name'      => esc_html__('Advance Custom Field Font Awesome', 'dicom'),
				'slug'      => 'advanced-custom-fields-font-awesome',
				'required'  => true,
			),
			array(
				'name'      => esc_html__('WooCommerce', 'dicom'),
				'slug'      => 'woocommerce',
				'required'  => false,
			),
			array(
				'name'		 => esc_html__( 'Unyson', 'dicom' ),
				'slug'		 => 'unyson',				
				'source'     => 'https://themes.envytheme.com/tools/unyson.zip',
				'required'	 => false,
			),
		);
		$config = array(
			'id'           => 'tgmpa',
			'default_path' => '',
			'menu'         => 'tgmpa-install-plugins',
			'parent_slug'  => 'themes.php',
			'capability'   => 'edit_theme_options',
			'has_notices'  => true, 
			'dismissable'  => true, 
			'dismiss_msg'  => '',   
			'is_automatic' => false, 
			'message'      => '',                      
		);
		tgmpa( $plugins, $config );
	}
}