<?php
/**
 * The template for displaying search results pages
 * @package dicom
 */
get_header();

// Blog Sidebar
if( isset( $dicom_opt['dicom_blog_sidebar'] ) ) {
    if( $dicom_opt['dicom_blog_sidebar'] == 'dicom_without_sidebar_center' ) :
        $dicom_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
    elseif( $dicom_opt['dicom_blog_sidebar'] == 'dicom_without_sidebar' ) :
        $dicom_sidebar_class = 'col-lg-12 col-md-12';
    else:
        if( is_active_sidebar( 'article-sidebar' ) ):
            $dicom_sidebar_class = 'col-lg-8 col-md-12';
        else:
            $dicom_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        endif;
    endif;
    $sidebar_hide      = $dicom_opt['dicom_blog_sidebar'];
    $hide_blog_banner  = $dicom_opt['hide_blog_banner'];
} else {
    if( is_active_sidebar( 'article-sidebar' ) ):
        $dicom_sidebar_class = 'col-lg-8 col-md-12';
        $sidebar_hide        = 'dicom_with_sidebar';
    else:
        $dicom_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        $sidebar_hide        = 'dicom_without_sidebar';
    endif;
    $hide_blog_banner = false;
}
$dicom_blog_layout = !empty($dicom_opt['dicom_blog_layout']) ? $dicom_opt['dicom_blog_layout'] : 'container';
if ( !empty($_GET['dicom_blog_layout']) ) {
    $dicom_blog_layout = $_GET['dicom_blog_layout'];
}
if( isset($dicom_opt['page_title_tag']) ):
    $tag = $dicom_opt['page_title_tag'];
else:
    $tag = 'h2';
endif;
// After Hiding Banner add spacing
if( $hide_blog_banner == true ) {
    $page_spac = 'mt-80';
} else {
    $page_spac = '';
} 
$enable_lines = !empty( $dicom_opt['enable_lines'] ) ? $dicom_opt['enable_lines'] : ''; ?>

<!-- Start Page Title Area -->
<?php if( $hide_blog_banner == false ) : ?>
    <div class="page-title-area">
        <div class="container">
            <div class="page-title-content">
                <<?php echo esc_attr( $tag ); ?>><?php printf( esc_html__( 'Search Results for: %s', 'dicom' ), '<span>' . get_search_query() . '</span>' ); ?></<?php echo esc_attr( $tag ); ?>>
            </div>
        </div>
        <?php dicom_page_shape_images(); ?>
        
        <?php if( $enable_lines == true  ) : ?>
            <div class="lines">
                <div class="line"></div>
                <div class="line"></div>
                <div class="line"></div>
            </div>
        <?php endif; ?>
    </div>
<?php endif; ?>
<!-- End Page Title Area -->

<!-- Start Blog Area -->
<div class="blog-area ptb-100 <?php echo esc_attr( $page_spac ); ?>">
    <div class="<?php echo esc_attr( $dicom_blog_layout ); ?>">
        <div class="row">
            <!-- Start Blog Content -->
            <div class="<?php echo esc_attr( $dicom_sidebar_class ); ?>">
                <?php
                if ( have_posts() ) :
                    while ( have_posts() ) :
                        the_post();
                        get_template_part( 'template-parts/content', get_post_format());
                    endwhile;
                else :
                    get_template_part( 'template-parts/content', 'none' );
                endif;
                ?>
        
                <!-- Stat Pagination -->
                <?php dicom_pagination(); ?>
                <!-- End Pagination -->
            </div>
            <!-- End Blog Content -->
            
            <?php if( $sidebar_hide == 'dicom_with_sidebar' ) : ?>
                <?php get_sidebar(); ?>
            <?php endif; ?>
        </div>   
    </div>
</div>
<!-- End Blog Area -->
<?php
get_footer();
