<?php
/**
 * Single Project
 */
get_header();

    global $dicom_opt;

    $hide_project_banner      = $dicom_opt['hide_project_banner'];
    $hide_project_breadcrumb  = $dicom_opt['hide_project_breadcrumb'];

    if( $hide_project_banner == true ) {
        $page_spac = 'mt-80';
    } else {
        $page_spac = '';
    }
    // Page Title 
    if( isset($dicom_opt['page_title_tag']) ):
        $tag = $dicom_opt['page_title_tag'];
    else:
        $tag = 'h2';
    endif;

    $enable_lines = !empty( $dicom_opt['enable_lines'] ) ? $dicom_opt['enable_lines'] : '';

    if( isset( $dicom_opt['enable_lazyloader'] ) ):
        $is_lazyloader = $dicom_opt['enable_lazyloader'];
    else:
        $is_lazyloader = true;
    endif;
    
    if( $is_lazyloader == true ):
        $lazy_class = 'smartify';
        $lazy_attr = 'sm-';
    else:
        $lazy_class = '';
        $lazy_attr = '';
    endif;

?>
    <!-- Start Page Title Area -->
    <?php if( $hide_project_banner == false ): ?>
        <div class="page-title-area">
            <div class="container">
                <div class="page-title-content">
                    <<?php echo esc_attr( $tag ); ?>><?php the_title(); ?></<?php echo esc_attr( $tag ); ?>>

                    <?php if( $hide_project_breadcrumb == false ): 
                        if ( function_exists('yoast_breadcrumb') ) {
                            yoast_breadcrumb( '<p class="dicom-seo-breadcrumbs" id="breadcrumbs">','</p>' );
                        } else { ?>
                            <ul>
                                <li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Home', 'dicom' ); ?></a></li>
                                <li><?php the_title(); ?></li>
                            </ul><?php
					    } ?>
                    <?php endif; ?>
                </div>
            </div>
            <?php dicom_page_shape_images(); ?>
            <?php if( $enable_lines == true  ) : ?>
                <div class="lines">
                    <div class="line"></div>
                    <div class="line"></div>
                    <div class="line"></div>
                </div>
            <?php endif; ?>
        </div>
    <?php endif; ?>
    <!-- End Page Title Area -->

    <section class="portfolio-details-area ptb-100 <?php echo esc_attr( $page_spac ); ?>">
        <?php while ( have_posts() ) : the_post(); ?>
            <div class="container">
                <div class="row">
                    <?php if ( have_rows( 'projects_sidebar_attributes' ) ): ?>
                    <div class="col-lg-8 col-md-12">
                    <?php else: ?>
                    <div class="col-lg-12 col-md-12">
                    <?php endif; ?>
                        <?php the_content(); ?>
                    </div>

                    <?php if ( have_rows( 'projects_sidebar_attributes' ) ): ?>
                        <div class="col-lg-4 col-md-12">
                            <div class="portfolio-sidebar-sticky">
                                <div class="portfolio-details-info">
                                    <ul>
                                        <?php while ( have_rows( 'projects_sidebar_attributes' ) ) : the_row(); ?>
                                            <li>
                                                <div class="icon">
                                                    <i class='<?php the_sub_field( 'project_icon' ) ?>'></i>
                                                </div>
                                                <span><?php the_sub_field( 'project_title_label' ) ?></span>
                                                <?php the_sub_field( 'project_content' ) ?>
                                            </li>
                                        <?php endwhile; ?>                                    
                                    </ul>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        <?php endwhile; ?>
    </section>

    <?php
    $cats               = get_the_terms( get_the_ID(), 'project_cat' );
    $cat_ids            = wp_list_pluck( $cats,'term_id' );
    $related_post_count = !empty( $dicom_opt['related_projects_post']) ? $dicom_opt['related_projects_post'] : 3;
    $is_related         = !empty( $dicom_opt['is_projects_related_posts']) ? $dicom_opt['is_projects_related_posts'] : '';
    $related_title      = !empty( $dicom_opt['projects_related_posts_title']) ? $dicom_opt['projects_related_posts_title'] : '';

    $posts = new WP_Query( array(
        'post_type' => 'project',
        'tax_query' => array(
            array(
                'taxonomy' => 'project_cat',
                'field'    => 'id',
                'terms'    => $cat_ids,
                'operator' => 'IN' //Or 'AND' or 'NOT IN'
            )),
        'posts_per_page'      => $related_post_count,
        'ignore_sticky_posts' => 1,
        'orderby'             => 'rand',
        'post__not_in'        => array($post->ID)
    ));

    if ( $is_related == '1' & $posts->have_posts() ) : ?>
        <section class="portfolio-area pb-70">
            <div class="container">
                <?php if ( !empty( $related_title ) ) : ?>
                    <div class="section-title">
                        <h2> <?php echo esc_html( $related_title ); ?> </h2>
                    </div>
                <?php endif; ?>

                <div class="row">
                    <?php $loop = 1;
                    while( $posts->have_posts() ) : $posts->the_post(); 
                        if ( $loop == 3 && $related_post_count == 3 ) {
                            $grid_class = 'col-lg-4 col-md-6 offset-lg-0 offset-md-3';
                        } else {
                            $grid_class = 'col-lg-4 col-md-6';
                        } ?>
                        <div class="<?php echo esc_attr( $grid_class ); ?>">
                            <div class="single-portfolio-item">
                                <a href="<?php the_permalink(); ?>" class="image d-block">
                                    <img class="<?php echo esc_attr($lazy_class); ?>" <?php echo esc_attr($lazy_attr); ?>src="<?php the_post_thumbnail_url( 'full' ) ?>" alt="<?php the_title_attribute(); ?>">
                                </a>

                                <div class="content">
                                    <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                    <a href="<?php the_permalink(); ?>" class="link-btn"><i class="flaticon-next-button"></i></a>
                                </div>
                            </div>
                        </div>
                    <?php
                    $loop++;
                    endwhile;
                    wp_reset_postdata();
                    ?>
                </div>
            </div>
        </section>
    <?php endif; ?>

<?php get_footer();