<?php
/**
 * Single Services
 */
get_header();

    global $dicom_opt;

    $hide_service_banner        =   $dicom_opt['hide_service_banner'];
    $hide_services_breadcrumb   =   $dicom_opt['hide_services_breadcrumb'];

    if( $hide_service_banner == true ) {
        $page_spac = 'mt-80';
    } else {
        $page_spac = '';
    }

    // Page Title 
    if( isset($dicom_opt['page_title_tag']) ):
        $tag = $dicom_opt['page_title_tag'];
    else:
        $tag = 'h2';
    endif;

    $enable_lines = !empty( $dicom_opt['enable_lines'] ) ? $dicom_opt['enable_lines'] : '';

?>
    <!-- Start Page Title Area -->
    <?php if( $hide_service_banner == false ) : ?>
        <div class="page-title-area">
            <div class="container">
                <div class="page-title-content">
                    <<?php echo esc_attr( $tag ); ?>><?php the_title(); ?></<?php echo esc_attr( $tag ); ?>>

                    <?php if( $hide_services_breadcrumb == false ) : 
                        if ( function_exists('yoast_breadcrumb') ) {
                            yoast_breadcrumb( '<p class="dicom-seo-breadcrumbs" id="breadcrumbs">','</p>' );
                        } else { ?>
                            <ul>
                                <li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Home', 'dicom' ); ?></a></li>
                                <li><?php the_title(); ?></li>
                            </ul><?php
					    } ?>
                    <?php endif; ?>
                </div>
            </div>
            <?php dicom_page_shape_images(); ?>
            <?php if( $enable_lines == true  ) : ?>
                <div class="lines">
                    <div class="line"></div>
                    <div class="line"></div>
                    <div class="line"></div>
                </div>
            <?php endif; ?>
        </div>
    <?php endif; ?>
    <!-- End Page Title Area -->

    <section class="services-details-area <?php echo esc_attr( $page_spac ); ?>">
        <?php while ( have_posts() ) : the_post();
            the_content();
        endwhile; ?>
    </section>
<?php get_footer();