<?php global $dicom_opt;
/**
 * The single template file
 * @package Dicom
 */
get_header();

$title = get_the_title();

// Blog sidebar
if( isset( $dicom_opt['dicom_blog_sidebar'] ) ) {
    if( $dicom_opt['dicom_blog_sidebar'] == 'dicom_without_sidebar_center' ) :
        $dicom_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
    elseif( $dicom_opt['dicom_blog_sidebar'] == 'dicom_without_sidebar' ) :
        $dicom_sidebar_class = 'col-lg-12 col-md-12';
    else:
        if( is_active_sidebar( 'article-sidebar' ) ):
            $dicom_sidebar_class = 'col-lg-8 col-md-12';
        else:
            $dicom_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        endif;
    endif;
    $sidebar_hide = $dicom_opt['dicom_blog_sidebar'];
} else {
    if( is_active_sidebar( 'article-sidebar' ) ):
        $dicom_sidebar_class = 'col-lg-8 col-md-12';
        $sidebar_hide        = 'dicom_with_sidebar';
    else:
        $dicom_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        $sidebar_hide        = 'dicom_without_sidebar';
    endif;
} 

// Blog breadcrumb
if( isset( $dicom_opt['blog_title'] ) ) {
    $hide_breadcrumb    	= $dicom_opt['hide_breadcrumb'];
    $hide_blog_banner       = $dicom_opt['hide_blog_banner'];
} else {
    $hide_breadcrumb    	= false;
    $hide_blog_banner       = false;
}
// Blog page link
if ( get_option( 'page_for_posts' ) ) {
	$blog_link = get_permalink( get_option( 'page_for_posts' ));
}else{
	$blog_link = home_url( '/' );
}
// After Hiding Banner add spacing
if( $hide_blog_banner == true ) {
    $page_spac = 'mt-80';
} else {
    $page_spac = '';
}
if ( isset( $dicom_opt['blog_title'] ) ) {
    $is_post_meta  = $dicom_opt['is_post_meta'];
} else {
    $is_post_meta  = false;
}
$enable_lines = !empty( $dicom_opt['enable_lines'] ) ? $dicom_opt['enable_lines'] : '';

$dicom_blog_single_layout = !empty($dicom_opt['dicom_blog_single_layout']) ? $dicom_opt['dicom_blog_single_layout'] : 'container';
if ( !empty($_GET['dicom_blog_single_layout']) ) {
    $dicom_blog_single_layout = $_GET['dicom_blog_single_layout'];
}

if( isset($dicom_opt['page_title_tag']) ):
    $tag = $dicom_opt['page_title_tag'];
else:
    $tag = 'h2';
endif;

if( isset( $dicom_opt['enable_lazyloader'] ) ):
	$is_lazyloader = $dicom_opt['enable_lazyloader'];
else:
	$is_lazyloader = true;
endif;

if( $is_lazyloader == true ):
	$lazy_class = 'smartify';
	$lazy_attr = 'sm-';
else:
	$lazy_class = '';
	$lazy_attr = '';
endif;

?>
<?php if( $hide_blog_banner == false ) : ?>
	<div class="page-title-area">
		<div class="container">
			<div class="page-title-content">
				<?php if( $title != '' ): ?>
					<<?php echo esc_attr( $tag ); ?>><?php the_title(); ?></<?php echo esc_attr( $tag ); ?>>
				<?php else: ?>
					<<?php echo esc_attr( $tag ); ?>><?php esc_html_e('No Title', 'dicom'); ?></<?php echo esc_attr( $tag ); ?>>
				<?php endif; ?>

				<?php if( $hide_breadcrumb == false ): 

					if ( function_exists('yoast_breadcrumb') ) {
						yoast_breadcrumb( '<p class="dicom-seo-breadcrumbs" id="breadcrumbs">','</p>' );
					} else { ?>
						<ul>
							<li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Home', 'dicom' ); ?></a></li>
							
							<?php if ( get_option( 'page_for_posts' ) ) { ?>
								<?php if ( isset( $dicom_opt['blog_title'] ) ){ ?>
									<li><a href="<?php echo esc_url( $blog_link ); ?>"><?php echo esc_html( $dicom_opt['blog_title'] ); ?></a></li>
								<?php }else{ ?>
									<li><a href="<?php echo esc_url( $blog_link ); ?>"><?php esc_html_e( 'Blog', 'dicom' ); ?></a></li>
								<?php } ?>
							<?php }  ?>
							<?php if ( $title != '' ){ ?>
								<li><?php the_title(); ?></li>
							<?php }else{ ?>
								<li><?php esc_html_e('No Title', 'dicom'); ?></li>
							<?php } ?>
						</ul><?php
					} ?>
				<?php endif; ?>
			</div>
		</div>
		<?php dicom_page_shape_images(); ?>
		
		<?php if( $enable_lines == true  ) : ?>
			<div class="lines">
				<div class="line"></div>
				<div class="line"></div>
				<div class="line"></div>
			</div>
		<?php endif; ?>
	</div>
<?php endif; ?>

	<!-- Start Blog Area -->
	<div class="blog-details-area ptb-100 <?php echo esc_attr( $page_spac ); ?>">
		<div class="<?php echo esc_attr( $dicom_blog_single_layout ); ?>">
			<div class="row">
				<?php while ( have_posts() ) : the_post(); ?>
					<div class="<?php echo esc_attr( $dicom_sidebar_class ); ?>">
						<div class="blog-details">
							<?php if( has_post_thumbnail() ) { ?>
								<div class="article-img">
									<img class="<?php echo esc_attr($lazy_class); ?>" <?php echo esc_attr($lazy_attr); ?>src="<?php the_post_thumbnail_url('full') ?>" alt="<?php the_title_attribute(); ?>">
								</div> <?php 
							} ?>

							<div class="blog-details-content">
								<?php if( $is_post_meta  == false ) { ?>
									<ul class="entry-meta">
										<li> <i class="far fa-user-circle"></i>
											<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ) ?>">
												<?php the_author() ?>
											</a>
										</li>
										<li>
											<i class="far fa-calendar-alt"></i>
											<?php echo esc_html(get_the_date('F d, Y')) ?>
										</li>
										<li>
											<i class="far fa-comment-dots"></i> 
											<?php comments_number(); ?>
										</li>
									</ul>
								<?php } ?>
								<?php the_content(); 
								
								wp_link_pages( array(
									'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'dicom' ),
									'after'  => '</div>',
								) );
								?>

								<?php if ( get_the_tags() ) :  ?>
									<div class="post-tag-media">
										<ul class="tag">
											<li><span><?php echo esc_html_e('Tags:', 'dicom') ?></span></li>
											<?php $tags = get_the_tags();
											foreach ( $tags as $tag ) {  ?>
													<li><a href="<?php echo esc_url(get_tag_link( $tag->term_id )); ?>">
														<?php echo esc_html( $tag->name ) ?></a>
													</li>
												<?php
											} ?>
										</ul>
									</div>
								<?php endif; ?>
							</div>
						</div>
					
						<?php
						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
						?>
					</div> <?php 
				endwhile; // End of the loop.
				?>
				
				<?php if( $sidebar_hide == 'dicom_with_sidebar' ): ?>
					<?php get_sidebar(); ?>
				<?php endif; ?>

			</div>
		</div>
	</div>
	<!-- End Blog Area -->

<?php
get_footer();